#HDMI cable is connected to IP4776CZ38ExpansionModuleTransmitter
#On Board LED on Saturn Expansion Connector is OFF 
#IP4776CZ38ExpansionModuleTransmitter module's header P1 and P2 are connected to header P8 & P10 of Saturn Expansion Module respectively.
#Saturn expansion module is connected to right side of Narvi board(Header P5)
#HOW TO CHECK PIN CONNECTION
        #IP4776CZ38ExpansionModuleTransmitter --> Saturn Expansion Module --> Narvi(Header P5) 

set_property CFGBVS VCCO [current_design]
set_property CONFIG_VOLTAGE 3.3 [current_design]

######################################################################################
#                              Clock Signal & Reset                                  #
######################################################################################
set_property -dict { PACKAGE_PIN D14    IOSTANDARD LVCMOS33 } [get_ports { clk_in }];
set_property -dict { PACKAGE_PIN E15   IOSTANDARD LVCMOS33 PULLDOWN TRUE} [get_ports { reset }];

######################################################################################
#                                       HDMI out                                     #
###################################################################################### 
set_property -dict { PACKAGE_PIN U18    IOSTANDARD TMDS_33  } [get_ports { data_n[0] }];  
set_property -dict { PACKAGE_PIN U17    IOSTANDARD TMDS_33  } [get_ports { data_p[0] }];  
set_property -dict { PACKAGE_PIN T15    IOSTANDARD TMDS_33  } [get_ports { data_n[1] }];  
set_property -dict { PACKAGE_PIN R15    IOSTANDARD TMDS_33  } [get_ports { data_p[1] }]; 
set_property -dict { PACKAGE_PIN G15    IOSTANDARD TMDS_33  } [get_ports { data_n[2] }];  
set_property -dict { PACKAGE_PIN H15    IOSTANDARD TMDS_33  } [get_ports { data_p[2] }]; 
set_property -dict { PACKAGE_PIN R17    IOSTANDARD TMDS_33  } [get_ports { clk_n}]; 
set_property -dict { PACKAGE_PIN R16    IOSTANDARD TMDS_33  } [get_ports { clk_p}];